> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activity Logs

> List activity logs for the current user's organization.
Only users with Admin role can access activity logs for auditing purposes.

- **user_id**: Optional filter by user ID
- **activity_type**: Optional filter by activity type
- **project_id**: Optional filter by project ID. Activities with no project
  (organization-scoped ones) are excluded when this filter is set.
- **limit**: Maximum number of logs to return (1-1000, default 100)
- **offset**: Number of logs to skip for pagination



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /activity-logs/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /activity-logs/:
    get:
      tags:
        - activity-logs
      summary: List Activity Logs
      description: >-
        List activity logs for the current user's organization.

        Only users with Admin role can access activity logs for auditing
        purposes.


        - **user_id**: Optional filter by user ID

        - **activity_type**: Optional filter by activity type

        - **project_id**: Optional filter by project ID. Activities with no
        project
          (organization-scoped ones) are excluded when this filter is set.
        - **limit**: Maximum number of logs to return (1-1000, default 100)

        - **offset**: Number of logs to skip for pagination
      operationId: list_activity_logs_activity_logs__get
      parameters:
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Id
        - name: activity_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ActivityType'
              - type: 'null'
            title: Activity Type
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Project Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            title: Limit
            default: 100
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ActivityLog'
                title: Response List Activity Logs Activity Logs  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ActivityType:
      type: string
      enum:
        - simulation_created
        - simulation_completed
        - optimization_run
        - file_uploaded
        - file_deleted
        - project_created
        - project_updated
        - project_deleted
        - optimization_created
        - optimization_deleted
        - datafit_completed
        - optimization_completed
        - validation_completed
        - simple_pipeline_completed
      title: ActivityType
      description: Activity types for auditing purposes.
    ActivityLog:
      properties:
        id:
          type: string
          title: Id
        user_id:
          type: string
          title: User Id
        organization_id:
          type: string
          title: Organization Id
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        type:
          $ref: '#/components/schemas/ActivityType'
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        usage_quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Usage Quantity
        compute_time:
          anyOf:
            - type: number
            - type: 'null'
          title: Compute Time
        core_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Core Seconds
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - user_id
        - organization_id
        - type
        - created_at
      title: ActivityLog
      description: Activity log model for auditing purposes.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````